.modal {
	height: 480px;
	width: 374px;
	margin: auto;
	box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	transition: .4s, box-shadow .3s .4s;
	font-family: 'Montserrat', sans-serif;
	text-align: center;
	z-index: 10;
}
.modal.hidden {
	box-shadow: none;
	transition: .4s, box-shadow 0s;
	opacity: 0;
	visibility: hidden;
}
.modal.hidden .form {
	top: -100%;
}


.modal .form {
	background: #f4f4f4;
	width: 100%;
	height: 100%;
	padding: 50px;
	position: absolute;
	top: 0;
	left: 0;
	box-sizing: border-box;
	margin: 0;
	transition: 0.4s;
}


.modal .form h3{
	margin-top: 0;
	margin-bottom: 30px;
}

.modal label {
	color: #FB5781;
}

.modal button {
	background: linear-gradient(-45deg, #f857a6, #ff5858);
	padding: 10px 20px;
	border: none;
	border-radius: 21px;
	outline: none;
	overflow: hidden;
	position: absolute;
	bottom: 50px;
	left: 50%;
	color: #FFF;
	font-size: 18px;
	cursor: pointer;
	transform: translateX(-50%);
}


.modal .form-input {
    position: relative;
    margin-bottom: 20px;
    border: 1px solid #e3e3e3;
    border-radius: 5px;
    background-color: #fcfcfc;
    transition: .4s ease;
}

.modal .form-input i{
    position: absolute;
    left: 7px;
    top: 0;
    width: 34px;
    height: 34px;
    line-height: 45px;
    text-align: center;
    font-size: 17px;
    color: #a5a5a5;
}

.modal .form-input input {
	padding: 0 10px 0 40px;
    width: 265px;
    height: 45px;
    border: 0;
    background: 0;
}
.modal .form-input input:-webkit-autofill {
	-webkit-box-shadow: 0 0 0px 500px #7a7a7a inset;
	-webkit-text-fill-color: #FFF;
}

.modal .form-input input::-webkit-input-placeholder { /* WebKit browsers */
	font-size: 14px;
}

.modal .form-input input:-ms-input-placeholder { /* Internet Explorer 10+ */
	font-size: 14px;
}

.modal .form-input.code input{
	width: 188px;
}

.modal .form-input.code span{
	float: right;
	padding-right: 6px;
	padding-top: 5px;
}


.modal button:hover:before {
	left: 110%;
	transition: .3s;
}
.modal button:before {
	content: '';
	background: rgba(255, 255, 255, 0.3);
	height: 100%;
	width: 65px;
	position: absolute;
	top: 0;
	left: -100%;
	transform: skew(-45deg);
	transition: 0s;
}

.modal .close {
	background: #474747;
	height: 30px;
	width: 30px;
	border: 3px solid #FFF;
	border-radius: 50%;
	position: absolute;
	top: -15px;
	right: -15px;
	cursor: pointer;
	transition: .4s .3s;

}
.modal .close:before, .close:after {
	content: '';
	background: #FFF;
	height: 80%;
	width: 3px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
}
.modal .close:after {
	transform: translate(-50%, -50%) rotate(45deg);
}